##
##  smb.conf -- Samba Configuration
##  

#   global parameters
[global]
    workgroup           = WORKGROUP
    server string       = @l_hostname@ (Samba %v)
    netbios name        = @l_hostname@
    smb passwd file     = @l_prefix@/etc/samba/smb.passwd
    pid directory       = @l_prefix@/var/samba/run
    lock directory      = @l_prefix@/var/samba/run/locks
    security            = user
    encrypt passwords   = yes
    domain admin group  = root
    domain logons       = yes
    share modes         = no
    printing            = bsd
    printcap name       = /etc/printcap
    load printers       = yes
    guest account       = nobody
    socket options      = TCP_NODELAY
    mangle case         = no
    case sensitive      = no
    default case        = lower
    preserve case       = yes
    short preserve case = yes
    dead time           = 0
    debug level         = 0
    status              = yes
    wins support        = no
    getwd cache         = yes
    widelinks           = yes
    log level           = 1
    os level            = 64
    preferred master    = yes
    domain master       = yes
    local master        = yes
    logon path          = \\%N\profiles\%u
    logon drive         = U:
    logon home          = \\%N\%u
    logon script        = logon.cmd
    use client driver   = yes

#   magic share for logons
[netlogon]
    path                = @l_prefix@/var/samba/netlogon
    writeable           = no
    create mask         = 0600
    directory mask      = 0700

#   magic share for profiles
[profiles]
    path                = @l_prefix@/var/samba/profiles
    writeable           = yes

#   magic share for all user home directories
[homes]
    comment             = Home Directories
    browseable          = yes
    read only           = no
    create mode         = 0664
    map archive         = no

#   magic share for all printers
[printers]
    comment             = System Printers
    path                = @l_prefix@/var/samba/spool
    create mask         = 0700
    printable           = yes
    browseable          = yes
    guest ok            = yes
    guest account       = nobody
    public              = no
    writable            = no

#   custom share, usable by all users
[tmp]
    comment             = Public
    path                = /tmp
    browseable          = yes
    public              = yes
    writeable           = yes
    force create mode   = 0775
    create mask         = 0775
    force group         = nobody
    read only           = no
    public              = yes

